#pragma once
#include "EntityState.h"
extern const int& CS_JackFishSTATENAME_RESIST;
class CS_JackFishResist :
    public EntityState
{
public:
    CS_JackFishResist();
    void State() override;
    void SetPhysice(bool bInWater) override;
    //物理信息
    //地面
    float ground_resist_default = 0xc / ts;//地面阻力
    //水中
    float inwater_resist_default = 0x19 / ts;//水中阻力
    //使用中的物理信息
    float resist_default;//当前默认阻力
    float resist;//当前阻力
    bool apply_resistH = true;//启用水平阻力
};

